Subject: Re: nfs mounting problem

From: Andre Haupt <[email-masked]>
Date: Wed, 24 Jan 2007 09:10:23 +0100

Scott Wood wrote:
> Andre Haupt wrote:
>> Also what seems a bit odd to me is that your dmesg shows no rootpath
>>
>>  IP-Config: Complete:
>>       device=eth1, addr=192.168.178.234, mask=255.255.255.0, 
>> gw=192.168.178.47,
>>      host=cashel, domain=, nis-domain=(none),
>>      bootserver=192.168.178.110, rootserver=192.168.178.110, rootpath=
>>
>> On my system the complete root path is printed here.
>
> I don't think I've ever seen the root path printed there (with nfsroot 
> otherwise working), so I don't think that's the problem...  From 
> looking at the code, it seems that the root path received from BOOTP 
> is stored in a different variable than the path from the nfsroot boot 
> option, and it's the former that gets printed there.
Ahh, ok. I am using BOOTP, so this has nothing to do with Manjunaths 
problem. Thanks for clarification.

Best,

Andre